------------------------------------------------------------------------------------
--Name:  	ValentineDay6
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-02-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(130, 151)
CppScriptMgr:SetViewScale(160)
local npc_0 = CppScriptMgr:AddSimplePlayer(1061790, 125, 155, "Odette", 0, 0)
npc_0:SetZoomPercent(180)
npc_0:SetHide(1)
local npc_1 = CppScriptMgr:AddSimplePlayer(1061780, 145, 155, "Leon", 0, 0)
npc_1:SetZoomPercent(180)
npc_1:SetHide(1)
local npc_2 = CppScriptMgr:AddSimplePlayer(1060420, 117, 152, "Daisy", 0, 0)
npc_2:SetZoomPercent(150)
npc_2:SetDir(6)
npc_2:SetHide(1)
local npc_4 = CppScriptMgr:AddSimplePlayer(35607, 117, 143, "Mia", 0, 0)
npc_4:SetZoomPercent(150)
npc_4:SetHide(1)
npc_4:SetDir(6)
local npc_3 = CppScriptMgr:AddSimplePlayer(35630, 151, 162, "Oliver", 0, 0)
npc_3:SetZoomPercent(180)
npc_3:SetDir(3)
npc_3:SetHide(1)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Honorable viewers, the show begins!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc2177", 150, 430, "Irwin", 250, 655, false)
CppScriptMgr:WaitMilSec(2990)
npc_1:SetHide(0)
npc_0:WalkTo(132, 155)
npc_0:SetHide(0)
npc_1:WalkTo(132, 155)
CppScriptMgr:WaitMilSec(2810)
CppScriptMgr:NpcCallOut("My dear princess, I will embark on a journey to find a way to remove the curse. Please dance for me again!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202308", 150, 430, "Leon", 250, 655, false)
CppScriptMgr:WaitMilSec(120)
npc_1:SetAction(101)
CppScriptMgr:WaitMilSec(340)
local effect_0 = CppScriptMgr:AddEffect("irongate_superc", 117, 152, 33, 1, 1, 1)
local effect_1 = CppScriptMgr:AddEffect("irongate_superc", 117, 143, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("irongate_superc", 151, 162, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1270)
npc_0:SetAction(230)
CppScriptMgr:WaitMilSec(100)
CppScriptMgr:NpcCallOut("My prince, I will wait for your return by the Swan Lake!", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202306", 150, 430, "Odette", 250, 655, false)
CppScriptMgr:WaitMilSec(780)
npc_2:SetHide(0)
npc_4:SetHide(0)
npc_3:SetHide(0)
CppScriptMgr:WaitMilSec(1200)
npc_0:SetAction(1111)
npc_1:SetAction(1111)
CppScriptMgr:WaitMilSec(880)
npc_2:SetAction(101)
CppScriptMgr:WaitMilSec(980)
CppScriptMgr:NpcCallOut("It is a perilous journey. Please return safely, my prince!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_NpcQiXi2022", 150, 430, "Mia", 250, 655, false)
CppScriptMgr:WaitMilSec(4490)